> For the complete documentation index, see [llms.txt](https://help.bioinsight.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/unsupported-process-types.md).

# Unsupported Process Types

Currently, the REST API does not support the following process types:

* Batch Gel Image Analysis Run (known at Gel Analysis Experiment in the client)
* Batch Gel Run (multiple 1D Gel Run or 2D Gel Run processes run at the same time)
* Ettan Spot Handling
* Gel 1D Run (known at 1D Gel Run in the client)
* Gel 2D Run (known at 2D Gel Run in the client)
* Gel Image Analysis Run (known as Image Annotation in the client)
* Gel Imaging Run
* Sample

  <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>When adding a sample to Clarity LIMS, the system actually sees the action of adding a sample as a process. No information pertaining to this process is made available to the user through the client. As a result, it is not supported through the REST API.</p></div>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/unsupported-process-types.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
